	.intel_syntax noprefix		# Koristi se Intel sintaksa bez prefiksa za registre.
	.arch i386			# 80386 instrukcijski set.
	.data				# Pocetak data sekcije.
poruka:
	.asciz "Zdravo svete!\n"	# string sa null znakom na kraju
kraj_poruke:
	.equ 	duzina_poruke, kraj_poruke - poruka	# racunanje duzine stringa
	.text				# pocetak sekcije sa izvrsnim kodom
	.extern write
	.extern exit

.globl 	_start			
_start:
	push 	duzina_poruke		# Postavljanje argumenata za poziv funkcije write.
	push 	offset poruka		# Parametri se postavljaju po C konvenciji, od poslednjeg
	push 	1			#   ka prvom.
	call 	write			# C ekvivalen: write(1,&poruka,duzina_poruke);
	add	esp, 12			# Oslobadjanje prostora koji su zauzimali parametri.

	push 	0
	call 	exit			# C ekvivalent: exit(0);
	# add	esp, 4 			# Za ovim nema potrebe jer se iz exit nikada nece vratiti
					#   na ovu instrukciju.
.end

