	.intel_syntax noprefix		# Koristi se Intel sintaksa bez prefiksa za registre.
	.arch i386			# 80386 instrukcijski set.
	.data				# Pocetak data sekcije.
poruka:
	.asciz "Zdravo svete!\n"	# string sa null znakom na kraju
kraj_poruke:
	.equ 	duzina_poruke, kraj_poruke - poruka	# racunanje duzine stringa
	.text				# pocetak sekcije sa izvrsnim kodom
	.extern write
	.extern exit
	.equ	velicina_lokalnih_promjenljivih, 0
.globl 	main			
main:					# Umjesto simbola start, ovdje je definisana
					#  funkcija main, pa ce i povezivanje biti u skladu
					#  sa povezivanjem C koda.
	# push 	ebp			# Podesavanje okvira na steku za tekuci poziv.
	# mov 	ebp, esp
	# sub	esp, velicina_lokalnih_promjenljivih
	enter	velicina_lokalnih_promjenljivih, 0
					# Prvi operand - broj bajtova koje na steku treba 
					#  rezervisati za lokalne promjenljive.
					# Drugi operand - nivo ugnijezdjenosti. Za C uvijek 0.

	push 	duzina_poruke
	push 	offset poruka
	push 	1
	call 	write			# ekvivalentno: write(1,&poruka,duzina_poruke);
	add 	esp, 12			# Oslobadjanje prostora na steku 
					#  koji su zuzimali parametri.
	
	mov 	eax, 0			# Povratna vrijednost funkcije main.
	
	# mov	esp, ebp		# Umjesto ove dvije instrukcije, koristi se leave.
	# pop 	ebp
	leave					
	ret				# return 0
.end

