	.intel_syntax noprefix		# Koristi se Intel sintaksa bez prefiksa za registre.
	.arch i386			# 80386 instrukcijski set.

#============================================================================================
	.data				# Pocetak data sekcije.
ulazni_format:
	.asciz "%i%i"	
.extern	izlazni_format

#============================================================================================
	.text				# pocetak sekcije sa izvrsnim kodom
	.extern write
	.extern exit

.globl 	_start			
_start:
	call main
	push 0
	call exit	# ekvivalentno: exit(0);

.extern	saberi				# Funkcija definisana u drugom modulu

main:
	enter	8, 0

	mov 	eax, ebp
	sub	eax, 4			# Adresa prve pomocne promjenljive (ebp-4)
	push	eax			# Treci argument za scanf poziv.

	sub	eax, 4			# Adresa druge pomocne promjenljive (ebp-8)
	push	eax			# Drugi argument za scanf poziv

	push	offset ulazni_format	# Prvi argument za scanf poziv

	call	scanf
	add	esp, 12			# Oslobadjanje prostora koji su zauzimali argumenti.

	push	[ebp-8]			# Dohvatanje prvog ucitanog broja - 2. arg. za "saberi".
	push	[ebp-4]			# Dodavanje drugog ucitanog broja - 1. arg. za "saberi".

	call	saberi			# Koristi stdcall konvenciju.

	push	eax			# 4. argument - izracunata suma
	push	[ebp-4]			# 3. argument - drugi ucitani broj
	push	[ebp-8]			# 2. argument - prvi ucitani broj
	push	offset izlazni_format	# 1. argument - adresa stringa za formatiranje

	call	printf
	add	esp, 16

	leave
	ret
.end

