	.intel_syntax noprefix		# Koristi se Intel sintaksa bez prefiksa za registre.
	.arch i386			# 80386 instrukcijski set.

#============================================================================================
	.data				# Pocetak data sekcije.
poruka:
	.asciz "Unesite broj elemenata niza, pa zatim\
 elemente niza.\n"
ulazni_format:
	.asciz "%i"	
izlazni_format:
	.asciz "Suma elemenata unijetog niza je = %i\n"

#============================================================================================
	.text				# pocetak sekcije sa izvrsnim kodom
	.extern write
	.extern exit

.globl 	_start			
_start:
	call main
	push 0
	call exit	# ekvivalentno: exit(0);

saberi:					# Primjer funkcije koja koristi stdcall konvenciju.
	enter	0, 0
	xor	eax, eax		# suma = 0
	mov	ecx, [ebp+8]		# Duzina niza (elementi niza su pocev od [ebp+0xc])
	
	jcxz	2f			# if (N == 0) return 0

1:	add	eax, [ebp+4*ecx]+8	# suma += niz[i]; i=N-1..0.
	loop	1b
2:	leave
	ret				# Pri izlasku, u slucaju fiksnog broja parametara,
					#  funkcija je duzna da oslobodi prostor koji su
					#  argumenti zauzimali na steku.
	 
main:
	enter	4, 0

	push	offset poruka
	call 	printf			# Ispis poruke da se unese broj elemenata, pa zatim
					#   elementi niza.
	add	esp, 4

	lea	eax, [ebp-4]		# Adresa lokalne promjenljive (ebp-4)
	push	eax			# Drugi argument za scanf poziv &N.

	push	offset ulazni_format	# Prvi argument za scanf poziv

	call	scanf			# U lokalnu promjenljivu N ucitava broj elemenata niza
	add	esp, 8
	
	mov	ecx, [ebp-4]		# ecx = N
	jcxz	2f			# Ako je ucitani broj elemenata 0, preskace sve.
	mov	ebx, ecx
	shl	ebx, 2			# ebx = 4*N
	sub	esp, ebx		# esp -= 4N	//rezervisanje prostora za elemente niza
	mov	ebx, esp		# ebx = &niza
1:	push	ecx			# cuva sadrzaj iz ecx

	push	ebx			# adresa tekuceg elementa niza
	push	offset ulazni_format
	call 	scanf			# ucitavanje sledece vrijednosti u tekuci element niza
	add	esp, 8

	pop	ecx			# restaurira sadrzaj ecx

	add	ebx, 4			# racunanje adrese sledeceg elementa niza.

	loop	1b			# Ponavljaj dok se ne ucita citav niz

					# Elementi niza su vec na steku, dodati samo broj
					#  elemenata:
	push	DWORD PTR [ebp-4]	# push N
	call	saberi			# Rezultat vraca u registru eax.
	add	esp, 4

	push	eax			# 2. argument - izracunata suma
	push	offset izlazni_format	# 1. argument - adresa stringa za formatiranje

	call	printf
	add	esp, 8

2:	leave
	ret
.end

